.storefront-sorting table.wc-product-table {
    visibility: visible;
}
.wc-product-table {
    position: relative;
}

.wc-product-table.adding_in_cart:before {
    background-color: #0003;
    content: '';
    height: 100%;
    width: 100%;
    position: absolute;
    pointer-events: none;
    top: 0;
    z-index: 100;
}

.wc-product-table.adding_in_cart:after {
    content: '';
    border: 2px solid #f3f3f3;
    border-top: 2px solid #000;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
    pointer-events: none;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 6;
}

.wc-product-table-below .pagination {
    border: 0;
    margin: 0 !important;
    padding: 0;
    padding: 0 20px;
}

.wc-product-table-controls {
    align-items: baseline !important;
}

.wc-product-table-below .pagination button.active {
    background-color: #d5d5d5;
}

.wc-product-table span.wpt-bulk-select-wrap {
    display: none;
}

.wc-product-table-controls .cart-error {
    color: #e2401c;
    font-size: inherit;
    font-weight: 700;
    line-height: 1.4;
}

.woocommerce-cart .woocommerce-cart-form .cart_item .product-quantity input,
.wc-product-table-wrapper .wc-product-table .product .quantity input.qty {
    max-width : 5em;
    width : 5em;
}


@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.woocommerce-shop .dataTables_wrapper .wc-product-table-controls .wc-product-table-select-filters {
    order: 2;
}
.woocommerce-shop .dataTables_wrapper .wc-product-table-controls .dataTables_length {
    order: 1;
    margin: 0 20px 0 0;
}
.woocommerce-shop .dataTables_wrapper .wc-product-table-controls .dataTables_filter {
    order: 3;
}
.woocommerce-shop .dataTables_wrapper .wc-product-table-controls .wc-product-table-multi-form {
    order: 4;
}
